Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.servlet
Class AbstractHttpSessionCollection.ApplicationScopeController

`java.lang.Object
com.tangosol.coherence.servlet.AbstractHttpSessionCollection.ApplicationScopeController`

All Implemented Interfaces:
  HttpSessionCollection.AttributeScopeController

Enclosing class:
  AbstractHttpSessionCollection

Deprecated. In releases following 3.6 customization will be declarative.

      public static class AbstractHttpSessionCollection.ApplicationScopeController

extends Object
implements HttpSessionCollection.AttributeScopeController

A simple implementation of the AttributeScopeController interface that scopes all attributes to the application by prepending the name of the application to all attribute names.

Since:
  Coherence 3.4.2

Constructor Summary
`AbstractHttpSessionCollection.ApplicationScopeController()` Deprecated.

Method Summary
`String` | `extractAttributeName(String sAttribute)` Deprecated. Given a potentially qualified attribute name, return the original (fully unqualified) attribute name.
`void` | `init(String sApplication)` Deprecated. Initialize the AttributeScopeController.
`String` | `qualifyAttributeName(String sAttribute)` Deprecated. Given an attribute name, return a potentially qualified name.

Constructor Detail

### AbstractHttpSessionCollection.ApplicationScopeController

    public AbstractHttpSessionCollection.ApplicationScopeController()

  Deprecated.

Method Detail

### init

    public void init(String sApplication)

  Deprecated.
  Initialize the AttributeScopeController.
  Specified by:
    `init` in interface `HttpSessionCollection.AttributeScopeController`
  Parameters:
    `sApplication` - an application name that may be used to qualify attribute names

### qualifyAttributeName

    public String qualifyAttributeName(String sAttribute)

  Deprecated.
  Given an attribute name, return a potentially qualified name. <p/> Attribute names may be qualified in order to avoid collisions when a session is shared across multiple applications. In other words, when sessions are shared across multiple applications, attributes which are not intended to be shared across multiple applications must be qualified so that other applications do not inadvertently overwrite, use, or remove these attributes.
  Specified by:
    `qualifyAttributeName` in interface `HttpSessionCollection.AttributeScopeController`
  Parameters:
    `sAttribute` - the name that the application identifies the attribute by
  Returns:
    either the name as passed in, or a qualified name

### extractAttributeName

    public String extractAttributeName(String sAttribute)

  Deprecated.
  Given a potentially qualified attribute name, return the original (fully unqualified) attribute name. The unqualified attribute name is the name that the application identifies the attribute by. Attributes that are shared across applications remain unqualified, whereas attributes that are private to an application are qualified in order to scope them to that application.
  Specified by:
    `extractAttributeName` in interface `HttpSessionCollection.AttributeScopeController`
  Parameters:
    `sAttribute` - an attribute name that may be qualified
  Returns:
    the unqualified attribute name

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.